org.apache.lucene.document

## Enum FieldType.LegacyNumericType

- java.lang.Object
- - java.lang.Enum<FieldType.LegacyNumericType>
  - - org.apache.lucene.document.FieldType.LegacyNumericType

- All Implemented Interfaces:
    Serializable, Comparable<FieldType.LegacyNumericType>
  Enclosing class:
    FieldType

  Deprecated.
  Please switch to `PointValues` instead

      @Deprecated
      public static enum FieldType.LegacyNumericType
      extends Enum<FieldType.LegacyNumericType>

  Data type of the numeric value
  Since:
    3.2

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DOUBLE` Deprecated. 64-bit double numeric type
    `FLOAT` Deprecated. 32-bit float numeric type
    `INT` Deprecated. 32-bit integer numeric type
    `LONG` Deprecated. 64-bit long numeric type

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FieldType.LegacyNumericType` | `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
    `static FieldType.LegacyNumericType[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INT

          public static final FieldType.LegacyNumericType INT

      Deprecated.
      32-bit integer numeric type

    - #### LONG

          public static final FieldType.LegacyNumericType LONG

      Deprecated.
      64-bit long numeric type

    - #### FLOAT

          public static final FieldType.LegacyNumericType FLOAT

      Deprecated.
      32-bit float numeric type

    - #### DOUBLE

          public static final FieldType.LegacyNumericType DOUBLE

      Deprecated.
      64-bit double numeric type

  - ### Method Detail

    - #### values

          public static FieldType.LegacyNumericType[] values()

      Deprecated.
      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FieldType.LegacyNumericType c : FieldType.LegacyNumericType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FieldType.LegacyNumericType valueOf(String name)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.